#include "p1.h"
#include "dmmcgrath.h"
#include "Configuration.h"
#include <stdlib.h>
P1::P1(iContext* context):Player(context){
	first = 1;//used to check if it is the first turn
	pieces = 0;//keeps track of the number of pieces on the board
}
bool P1::getmove(int& row,int& col,int board[][NUMSQUARES],int oprow,int opcol){
	if(first != 1){
      key = key ^ R[oprow][opcol][0];//removes the blank from the old hash
	key ^= R[oprow][opcol][1];//adds the oppoent move to the new hash
	pieces++;//adds a piece for the opponents last move
	dmmcgrath::GameTree* T=new dmmcgrath::GameTree(board,-1,5,oprow,opcol,lastprow,lastpcol,key,R,pieces);  //using default height of 2
	T->GetBest(row,col,lastprow,lastpcol,key,pieces);
	delete T;
	}
	else{
		srand(time(0));  
	   for (int x = 0; x < 15; ++x) {  //fills the array used to create hash values with random numbers
	      for (int y = 0; y < 15; ++y) {  
	         R[x][y][0] = rand();  
	         R[x][y][1] = rand();  
	         R[x][y][2] = rand();  
	      }  
	   }
		srand(1);
		row = rand() % 5 +6; //generates a random first move in the middle of the board
		col = rand() % 5 +6;
		pieces++;
		lastprow = row;//assigns row to the last player row
		lastpcol = col;//assigns col to the last player col
		board[row][col] = -1;
		key = hash(board);//creates the key from the board
		first = 0;
	}
	return true;
}
